=== debian/changelog ===
octave-interval (3.2.1-7) unstable; urgency=medium

  * Team upload

  * d/u/metadata:
    + Add upstream repository URL
    + Add documentation URL
    + Update Bug-Database URL
  * d/control:
    + Restrict the build-dependencies needed for building the documentation
      to the "!nodoc" profile
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop the versioned dependency on dh-octave. Relationship >= 1.2.3 is
      satisfiable in oldoldstable, which has version 1.2.7.
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5
  * d/copyright: Replace old FSF address by URL
  * d/s/lintian-overrides: Adjust Lintian override for
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Thu, 09 Oct 2025 14:39:40 -0300

octave-interval (3.2.1-6) unstable; urgency=medium

  * Team upload

  * d/p/display-plus-intervaltotext.patch: New patch.
    Thanks to Vincent Lefèvre for proposing the fix (Closes: #1050796)
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage URL
  * d/copyright: Update Source URL

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Aug 2023 02:47:30 -0300

octave-interval (3.2.1-5) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissière ]
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 13:25:15 -0300

octave-interval (3.2.1-4) unstable; urgency=medium

  * Team upload

  * d/clean: No need for cleaning the src/*.cc-tst files
  * Proper cleaning of files generated by the configure script
    + d/patches/add-distclean-target.patch: New patch
    + d/clean, d/source/options: Adjust for the new situation
  * d/control: Build-depend in dh-octave >= 1.2.3. In this version
    dh_octave_clean removes the src/*-tst files and calls make
    distclean for cleaning the files generated by the configure
    script.

 -- Rafael Laboissière <rafael@debian.org>  Wed, 13 Jul 2022 04:34:49 -0300

octave-interval (3.2.1-3) unstable; urgency=medium

  * Team upload

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/octave-interval.install; Install /usr/{lib,share}/* files
    (Closes: #1013589)
  * d/s/options: Add src/crlibm/crlibm_config.h.in to the list of excluded files

 -- Rafael Laboissière <rafael@debian.org>  Sun, 26 Jun 2022 10:10:12 -0300

octave-interval (3.2.1-2) unstable; urgency=medium

  * Team upload
  * octave7.patch: new patch, fixes FTBFS against Octave 7 (Closes: #1009132)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 11 Apr 2022 14:21:08 +0200

octave-interval (3.2.1-1) unstable; urgency=medium

  * Team upload

  * New upstream version 3.2.1
  * d/p/clean-src-compatibility-dir.patch: Drop patch (applied upstream)
  * d/p/ignore-fesetround-tests.patch: Refresh for new upstream version
  * d/p/xtest-in-mpfr-matrix-mul-d.patch: Refresh for new upstream version
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 31 Jan 2022 03:24:35 -0300
