=== debian/control ===
Source: octave-interval
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Oliver Heimlich <oheim@posteo.de>,
Build-Depends-Indep: ghostscript  <!nodoc>,
                     gnuplot-nox <!nodoc>,
                     imagemagick <!nodoc>,
                     texinfo <!nodoc>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-octave,
               libmpfr-dev
Standards-Version: 4.7.2
Homepage: https://gnu-octave.github.io/packages/interval/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-interval.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-interval
Testsuite: autopkgtest-pkg-octave

Package: octave-interval
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends},
Suggests: octave-interval-doc
Description: real-valued interval arithmetic for Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.

Section: doc
Package: octave-interval-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: w3m | www-browser
Enhances: octave-interval
Description: real-valued interval arithmetic for Octave (arch-indep files)
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.
 .
 This package provides documentation in HTML format for the octave-interval
 package.
