## octave-interval 3.2.2

=== src/Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
                  __setround__.oct
 
 BUNDLED_CRLIBM_DIR = crlibm
+MKOCTFILE ?= mkoctfile
 
 LDFLAGS_MPFR   =-lmpfr
 ## Use important flags in XTRA_CFLAGS for OpenMP (workaround for bug #45280)
@@ -32,6 +33,7 @@
 CONF_FLAG_SSE2 ?=--enable-sse2
 endif
 
+.PHONY: all
 all: $(OBJ)
 
 ## crlibm api oct-file
@@ -77,8 +79,11 @@
 	@echo " [MKOCTFILE] $<"
 	@$(MKOCTFILE)  -o $@  -Wno-unknown-pragmas  $<
 
+.PHONY: clean
 clean:
 	test ! -e $(BUNDLED_CRLIBM_DIR)/Makefile || $(MAKE) -C $(BUNDLED_CRLIBM_DIR) $@
-	$(RM) *.oct *.o
+	-$(RM) *.oct *.o
 
-.PHONY: all clean
+.PHONY: distclean
+distclean: clean
+	-$(RM) config.log
