=== debian/changelog ===
octave-interval (3.2.2-3) unstable; urgency=medium

  * d/rules: Restrict the building of the documentation to the arch-indep case
  * d/control: Add myself to the list of Uploaders

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Feb 2026 15:55:43 +0000

octave-interval (3.2.2-2) unstable; urgency=medium

  * Team upload

  * d/rules: Use override_dh_auto_build to build the documentation.
    This fixes the FTBFS issue when building the Arch:all package
  * d/octave-interval-doc.docs: New file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Feb 2026 06:31:37 +0000

octave-interval (3.2.2-1) unstable; urgency=medium

  * Team upload

  * New upstream version 3.2.2
  * Drop patches (applied upstream):
    + d/p/xtest-in-mpfr-matrix-mul-d.patch
    + d/p/octave7.patch
    + d/p/add-distclean-target.patch
    + d/p/display-plus-intervaltotext.patch
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Tue, 24 Feb 2026 15:09:28 +0000

octave-interval (3.2.1-8) unstable; urgency=medium

  * Team upload

  * d/rules: Build the src/*.oct fies in place, before building the
    documentation. This regression is caused by the changes in
    dh-octave version 1.14. In this version, the Octave add-on package
    is built from the patched tarball, so that building the sources in
    place is necaessary in order to have the documentation figures
    generated. (Closes: #1127517)
  * d/control:
    + Resctrict build-dependencies needed for building the
      documentation to the "!nodoc" profile
    + Drop the versioned dependency on dh-octave. Relationship >=
      1.2.3 is satisfiable in oldoldstable, which has version 1.2.7.
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3 (no changes needed)
  * d/watch: Convert to format version 5
  * d/s/lintian-overrides: Adjust Lintian override for
    debian-watch-lacks-sourceforge-redirector
  * d/copyright: Replace old FSF address by URL

 -- Rafael Laboissière <rafael@debian.org>  Sat, 14 Feb 2026 07:55:15 +0000
