=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: octave-interval
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Oliver Heimlich <oheim@posteo.de>,
+           Rafael Laboissière <rafael@debian.org>
 Build-Depends-Indep: ghostscript  <!nodoc>,
                      gnuplot-nox <!nodoc>,
                      imagemagick <!nodoc>,
@@ -10,7 +10,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave,
                libmpfr-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/interval/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-interval.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-interval
