=== debian/rules ===
--- 
+++ 
@@ -42,8 +42,10 @@
 	dh_auto_configure
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-override_dh_auto_install-indep:
-	dh_auto_install
+override_dh_auto_build-indep:
+	# In order to build the documentation in place, it is
+	# necessary to build first the *.oct files, also in place.
+	make -C src MKOCTFILE=mkoctfile
 	# The documentation build needs to load the package,
 	# so we have to set paths for the build process.
 	OCTAVE='octave --no-window-system --no-init-file'	\
